Package ru.bitel.bgbilling.modules.inet.common.bean

# Class DataProcessRecord

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.inet.common.bean.DataProcessRecord

All Implemented Interfaces:
  `Serializable`, `Idable`

public class DataProcessRecord extends Id

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `TYPE_CREATE_SESSIONS`
  `static final byte`
  `TYPE_PROCESS_LOGS`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataProcessRecord()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCurentHour()`
  `Date`
  `getDay()`
  `int`
  `getDeviceId()`
  `Date`
  `getStartTime()`
  `byte`
  `getType()`
  `void`
  `setCurentHour(int curentHour)`
  `void`
  `setDay(Date day)`
  `void`
  `setDeviceId(int deviceId)`
  `void`
  `setStartTime(Date startTime)`
  `void`
  `setType(byte type)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_PROCESS_LOGS

    public static final byte TYPE_PROCESS_LOGS
    See Also:
      - Constant Field Values

  - ### TYPE_CREATE_SESSIONS

    public static final byte TYPE_CREATE_SESSIONS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DataProcessRecord

    public DataProcessRecord()

- ## Method Details

  - ### getStartTime

    public Date getStartTime()

  - ### setStartTime

    public void setStartTime(Date startTime)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId(int deviceId)

  - ### getDay

    public Date getDay()

  - ### setDay

    public void setDay(Date day)

  - ### getCurentHour

    public int getCurentHour()

  - ### setCurentHour

    public void setCurentHour(int curentHour)

  - ### getType

    public byte getType()

  - ### setType

    public void setType(byte type)